<?php

namespace Ensi\CmsClient;

class CmsClientProvider
{
    /** @var string[] */
    public static $apis = [
        '\Ensi\CmsClient\Api\SeoTemplateProductsApi',
        '\Ensi\CmsClient\Api\BannersApi',
        '\Ensi\CmsClient\Api\ProductsApi',
        '\Ensi\CmsClient\Api\NameplateProductsApi',
        '\Ensi\CmsClient\Api\NameplatesApi',
        '\Ensi\CmsClient\Api\SeoTemplatesApi',
        '\Ensi\CmsClient\Api\PagesApi',
        '\Ensi\CmsClient\Api\MenusApi',
    ];

    /** @var string[] */
    public static $dtos = [
        '\Ensi\CmsClient\Dto\BannerReadonlyProperties',
        '\Ensi\CmsClient\Dto\SeoTemplateProductResponse',
        '\Ensi\CmsClient\Dto\NameplateFillableProperties',
        '\Ensi\CmsClient\Dto\SeoTemplateTypeEnum',
        '\Ensi\CmsClient\Dto\AddNameplatesRequest',
        '\Ensi\CmsClient\Dto\SearchPagesResponseMeta',
        '\Ensi\CmsClient\Dto\SeoTemplateForCreate',
        '\Ensi\CmsClient\Dto\UpdateMenuTreesResponse',
        '\Ensi\CmsClient\Dto\SeoTemplateProductFillableProperties',
        '\Ensi\CmsClient\Dto\PageReadonlyProperties',
        '\Ensi\CmsClient\Dto\BannerFillableProperties',
        '\Ensi\CmsClient\Dto\SearchOneSeoTemplateRequestSeoVariablesPayload',
        '\Ensi\CmsClient\Dto\SearchOneSeoTemplateRequestSeoVariables',
        '\Ensi\CmsClient\Dto\SearchNameplateProductsRequest',
        '\Ensi\CmsClient\Dto\SeoTemplateProduct',
        '\Ensi\CmsClient\Dto\BannerButtonLocationEnum',
        '\Ensi\CmsClient\Dto\SearchSeoTemplatesResponse',
        '\Ensi\CmsClient\Dto\SearchMenusRequest',
        '\Ensi\CmsClient\Dto\Menu',
        '\Ensi\CmsClient\Dto\PatchPageRequest',
        '\Ensi\CmsClient\Dto\DeleteSeoTemplateProductsRequest',
        '\Ensi\CmsClient\Dto\SearchPagesRequest',
        '\Ensi\CmsClient\Dto\CreateNameplateRequest',
        '\Ensi\CmsClient\Dto\BannerFileResponse',
        '\Ensi\CmsClient\Dto\MenuReadonlyProperties',
        '\Ensi\CmsClient\Dto\SearchBannersRequest',
        '\Ensi\CmsClient\Dto\BannerButtonTypeEnum',
        '\Ensi\CmsClient\Dto\PatchNameplateRequest',
        '\Ensi\CmsClient\Dto\ErrorResponse',
        '\Ensi\CmsClient\Dto\PaginationTypeCursorEnum',
        '\Ensi\CmsClient\Dto\ErrorResponse2',
        '\Ensi\CmsClient\Dto\MenuFillableProperties',
        '\Ensi\CmsClient\Dto\RequestBodyCursorPagination',
        '\Ensi\CmsClient\Dto\MenuTree',
        '\Ensi\CmsClient\Dto\DeleteNameplatesRequest',
        '\Ensi\CmsClient\Dto\AddProductsRequest',
        '\Ensi\CmsClient\Dto\SearchOneSeoTemplateRequest',
        '\Ensi\CmsClient\Dto\SeoTemplateReadonlyProperties',
        '\Ensi\CmsClient\Dto\SearchSeoTemplateProductsResponse',
        '\Ensi\CmsClient\Dto\EmptyDataResponse',
        '\Ensi\CmsClient\Dto\CreateBannerButton',
        '\Ensi\CmsClient\Dto\PageResponse',
        '\Ensi\CmsClient\Dto\NameplateResponse',
        '\Ensi\CmsClient\Dto\Error',
        '\Ensi\CmsClient\Dto\PaginationTypeEnum',
        '\Ensi\CmsClient\Dto\File',
        '\Ensi\CmsClient\Dto\ResponseBodyOffsetPagination',
        '\Ensi\CmsClient\Dto\PaginationTypeOffsetEnum',
        '\Ensi\CmsClient\Dto\ResponseBodyPagination',
        '\Ensi\CmsClient\Dto\CreateBannerRequest',
        '\Ensi\CmsClient\Dto\BannerTypeFillableProperties',
        '\Ensi\CmsClient\Dto\NameplateProduct',
        '\Ensi\CmsClient\Dto\BannerImageTypeEnum',
        '\Ensi\CmsClient\Dto\SearchOnePageRequest',
        '\Ensi\CmsClient\Dto\SearchOneBannerRequest',
        '\Ensi\CmsClient\Dto\UpdateMenuTreesRequest',
        '\Ensi\CmsClient\Dto\MenuResponse',
        '\Ensi\CmsClient\Dto\CreatePageRequest',
        '\Ensi\CmsClient\Dto\RequestBodyOffsetPagination',
        '\Ensi\CmsClient\Dto\ResponseBodyCursorPagination',
        '\Ensi\CmsClient\Dto\SearchSeoTemplateProductsRequest',
        '\Ensi\CmsClient\Dto\SearchOneMenuRequest',
        '\Ensi\CmsClient\Dto\SearchSeoTemplatesRequest',
        '\Ensi\CmsClient\Dto\BannerButtonReadonlyProperties',
        '\Ensi\CmsClient\Dto\SeoTemplateIncludes',
        '\Ensi\CmsClient\Dto\InlineObject',
        '\Ensi\CmsClient\Dto\SearchNameplateProductsResponse',
        '\Ensi\CmsClient\Dto\BannerIncludes',
        '\Ensi\CmsClient\Dto\Page',
        '\Ensi\CmsClient\Dto\AddSeoTemplateProductsRequest',
        '\Ensi\CmsClient\Dto\ReplaceBannerRequest',
        '\Ensi\CmsClient\Dto\NameplateProductResponse',
        '\Ensi\CmsClient\Dto\SearchNameplatesResponse',
        '\Ensi\CmsClient\Dto\SearchBannerTypesRequest',
        '\Ensi\CmsClient\Dto\RequestBodyPagination',
        '\Ensi\CmsClient\Dto\SeoVariableEnum',
        '\Ensi\CmsClient\Dto\BannerButton',
        '\Ensi\CmsClient\Dto\MenuIncludes',
        '\Ensi\CmsClient\Dto\Nameplate',
        '\Ensi\CmsClient\Dto\SearchNameplatesRequest',
        '\Ensi\CmsClient\Dto\IdsObject',
        '\Ensi\CmsClient\Dto\BannerTypeEnum',
        '\Ensi\CmsClient\Dto\SeoTemplateResponse',
        '\Ensi\CmsClient\Dto\DeleteBannerFileRequest',
        '\Ensi\CmsClient\Dto\SearchMenusResponse',
        '\Ensi\CmsClient\Dto\SearchBannerTypesResponse',
        '\Ensi\CmsClient\Dto\BannerType',
        '\Ensi\CmsClient\Dto\BannerFile',
        '\Ensi\CmsClient\Dto\BannerButtonFillableProperties',
        '\Ensi\CmsClient\Dto\MenuItem',
        '\Ensi\CmsClient\Dto\NameplateReadonlyProperties',
        '\Ensi\CmsClient\Dto\SeoTemplateForPatch',
        '\Ensi\CmsClient\Dto\ModelInterface',
        '\Ensi\CmsClient\Dto\NameplateIncludes',
        '\Ensi\CmsClient\Dto\SeoTemplateProductReadonlyProperties',
        '\Ensi\CmsClient\Dto\Banner',
        '\Ensi\CmsClient\Dto\SeoTemplate',
        '\Ensi\CmsClient\Dto\FileOrNull',
        '\Ensi\CmsClient\Dto\SearchPagesResponse',
        '\Ensi\CmsClient\Dto\DeleteProductsRequest',
        '\Ensi\CmsClient\Dto\SearchBannersResponse',
        '\Ensi\CmsClient\Dto\BannerTypeReadonlyProperties',
        '\Ensi\CmsClient\Dto\SeoTemplateFillableProperties',
        '\Ensi\CmsClient\Dto\MenuEnum',
        '\Ensi\CmsClient\Dto\PageFillableProperties',
        '\Ensi\CmsClient\Dto\BannerResponse',
    ];

    /** @var string */
    public static $configuration = '\Ensi\CmsClient\Configuration';
}
